# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2

inherit bzr

DESCRIPTION="Generate and install ebuilds from the TeXLive package manager"
HOMEPAGE="http://launchpad.net/g-ctan"
SRC_URI=""
LICENSE="GPL-3"

EBZR_REPO_URI="lp:g-ctan"

SLOT="0"
KEYWORDS="~x86"

IUSE=""
DEPEND=""
# TeXLive dependency for released builds only
RDEPEND="~app-text/texlive-${PV//.*}
	|| ( app-arch/xz-utils app-arch/lzma-utils[-nocxx] )
	>=dev-libs/libpcre-0.7.6"

src_install() {
	# Can be removed as soon as EAPI 4 is allowed
	emake DESTDIR="${D}" install || die
}
